package org.dromara.payment.invoice.service;

import org.dromara.payment.invoice.domain.MerInvoiceBill;
import org.dromara.payment.invoice.domain.vo.MerInvoiceBillVo;
import org.dromara.payment.invoice.domain.bo.MerInvoiceBillBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 发票明细Service接口
 *
 * @author LionLi
 * @date 2024-05-06
 */
public interface IMerInvoiceBillService {

    /**
     * 查询发票明细
     */
    MerInvoiceBillVo queryById(Long id);

    /**
     * 查询发票明细列表
     */
    TableDataInfo<MerInvoiceBillVo> queryPageList(MerInvoiceBillBo bo, PageQuery pageQuery);

    /**
     * 查询发票明细列表
     */
    List<MerInvoiceBillVo> queryList(MerInvoiceBillBo bo);

    /**
     * 新增发票明细
     */
    Boolean insertByBo(MerInvoiceBillBo bo);

    /**
     * 修改发票明细
     */
    Boolean updateByBo(MerInvoiceBillBo bo);

    /**
     * 校验并批量删除发票明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
